LEI-INSPECT(1)

NAME
lei-inspect - general purpose inspector

SYNOPSIS
lei inspect [OPTIONS] ITEM [ITEM...]

lei inspect [OPTIONS] (--stdin|-)

DESCRIPTION
This is a diagnostic command that provides a general purpose inspector of various things, including blobs, message IDs, Xapian document IDs, and mail sync sources.

OPTIONS

-d DIR
--dir=DIR
    An inboxdir, extindex topdir, or Xapian shard

--pretty
    Pretty print output. If stdout is opened to a tty, "--pretty" is enabled by default.

-
--stdin
    Read message from stdin. This is implicit if no arguments are given and stdin is a pipe or regular file.

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright 2021 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
lei-mail-diff(1)